<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::mediaPlayer Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html">mediaPlayer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#nested-classes">Classes</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::mediaPlayer Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1media_player_1_1android"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html">android</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1media_player_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html">test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_attachment_reader_source.html">AttachmentReaderSource</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_base_stream_source.html">BaseStreamSource</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_i_stream_source.html">IStreamSource</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_media_player.html">MediaPlayer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_normalizer.html">Normalizer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager.html">OffsetManager</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_pipeline_interface.html">PipelineInterface</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_source_interface.html">SourceInterface</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:a056618af1246218cc1c4524bc3aac256"><td class="memItemLeft" align="right" valign="top">typedef std::vector&lt; <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_observer_interface_1_1_tag_key_value_type.html">avsCommon::utils::mediaPlayer::MediaPlayerObserverInterface::TagKeyValueType</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#a056618af1246218cc1c4524bc3aac256">VectorOfTags</a></td></tr>
<tr class="separator:a056618af1246218cc1c4524bc3aac256"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a0240883403612802a5896b2d5cee55d7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player.html#ab6ff57ee3fc3650d3b710fa12d32e25d">avsCommon::utils::mediaPlayer::ErrorType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#a0240883403612802a5896b2d5cee55d7">gerrorToErrorType</a> (const GError *error, bool remoteResource)</td></tr>
<tr class="separator:a0240883403612802a5896b2d5cee55d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8413bfa1d0041180dd9bb4c6286404ed"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#a8413bfa1d0041180dd9bb4c6286404ed">TAG</a> (&quot;AttachmentReaderSource&quot;)</td></tr>
<tr class="memdesc:a8413bfa1d0041180dd9bb4c6286404ed"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#a8413bfa1d0041180dd9bb4c6286404ed">More...</a><br /></td></tr>
<tr class="separator:a8413bfa1d0041180dd9bb4c6286404ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9f95bfee8247af4a2ac4b327b07b6c3"><td class="memItemLeft" align="right" valign="top">static const unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#ac9f95bfee8247af4a2ac4b327b07b6c3">CHUNK_SIZE</a> (4096)</td></tr>
<tr class="memdesc:ac9f95bfee8247af4a2ac4b327b07b6c3"><td class="mdescLeft">&#160;</td><td class="mdescRight">The number of bytes read from the attachment with each read in the read loop.  <a href="#ac9f95bfee8247af4a2ac4b327b07b6c3">More...</a><br /></td></tr>
<tr class="separator:ac9f95bfee8247af4a2ac4b327b07b6c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26c02f55b7492f439165c080d82beebf"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#a26c02f55b7492f439165c080d82beebf">TAG</a> (&quot;BaseStreamSource&quot;)</td></tr>
<tr class="memdesc:a26c02f55b7492f439165c080d82beebf"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#a26c02f55b7492f439165c080d82beebf">More...</a><br /></td></tr>
<tr class="separator:a26c02f55b7492f439165c080d82beebf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affa455fe48630aef1f078bb469635f5f"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#affa455fe48630aef1f078bb469635f5f">getCapsString</a> (const <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html">AudioFormat</a> &amp;audioFormat)</td></tr>
<tr class="separator:affa455fe48630aef1f078bb469635f5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16a495ffddb7992d531be1d42ed6128d"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player.html#ab6ff57ee3fc3650d3b710fa12d32e25d">avsCommon::utils::mediaPlayer::ErrorType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#a16a495ffddb7992d531be1d42ed6128d">gstCoreErrorToErrorType</a> (const GstCoreError &amp;error)</td></tr>
<tr class="separator:a16a495ffddb7992d531be1d42ed6128d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add833d1472148df32bb9a32cbef0a3a8"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player.html#ab6ff57ee3fc3650d3b710fa12d32e25d">avsCommon::utils::mediaPlayer::ErrorType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#add833d1472148df32bb9a32cbef0a3a8">gstLibraryErrorToErrorType</a> (const GstLibraryError &amp;error)</td></tr>
<tr class="separator:add833d1472148df32bb9a32cbef0a3a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9685fb5984e0e579cfcbf94ba3728d5e"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player.html#ab6ff57ee3fc3650d3b710fa12d32e25d">avsCommon::utils::mediaPlayer::ErrorType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#a9685fb5984e0e579cfcbf94ba3728d5e">gstResourceErrorToErrorType</a> (const GstResourceError &amp;error, bool remoteResource)</td></tr>
<tr class="separator:a9685fb5984e0e579cfcbf94ba3728d5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22dbc8547fc817edb42c1ec627fb864e"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player.html#ab6ff57ee3fc3650d3b710fa12d32e25d">avsCommon::utils::mediaPlayer::ErrorType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#a22dbc8547fc817edb42c1ec627fb864e">gstStreamErrorToErrorType</a> (const GstStreamError &amp;error)</td></tr>
<tr class="separator:a22dbc8547fc817edb42c1ec627fb864e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6398dcdd5154e8993812a4ac8c38d526"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#a6398dcdd5154e8993812a4ac8c38d526">TAG</a> (&quot;IStreamSource&quot;)</td></tr>
<tr class="memdesc:a6398dcdd5154e8993812a4ac8c38d526"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#a6398dcdd5154e8993812a4ac8c38d526">More...</a><br /></td></tr>
<tr class="separator:a6398dcdd5154e8993812a4ac8c38d526"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9f95bfee8247af4a2ac4b327b07b6c3"><td class="memItemLeft" align="right" valign="top">static const unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#ac9f95bfee8247af4a2ac4b327b07b6c3">CHUNK_SIZE</a> (4096)</td></tr>
<tr class="memdesc:ac9f95bfee8247af4a2ac4b327b07b6c3"><td class="mdescLeft">&#160;</td><td class="mdescRight">The number of bytes read from the attachment with each read in the read loop.  <a href="#ac9f95bfee8247af4a2ac4b327b07b6c3">More...</a><br /></td></tr>
<tr class="separator:ac9f95bfee8247af4a2ac4b327b07b6c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb34f60ae73a01e5229c0ac4d4dd57b9"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#adb34f60ae73a01e5229c0ac4d4dd57b9">TAG</a> (&quot;MediaPlayer&quot;)</td></tr>
<tr class="memdesc:adb34f60ae73a01e5229c0ac4d4dd57b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#adb34f60ae73a01e5229c0ac4d4dd57b9">More...</a><br /></td></tr>
<tr class="separator:adb34f60ae73a01e5229c0ac4d4dd57b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82e461fa31eccbb7d7dbd846f7f6ffa2"><td class="memItemLeft" align="right" valign="top">static const unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#a82e461fa31eccbb7d7dbd846f7f6ffa2">TIMEOUT_ZERO_NANOSECONDS</a> (0)</td></tr>
<tr class="memdesc:a82e461fa31eccbb7d7dbd846f7f6ffa2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timeout value for calls to <code>gst_element_get_state()</code> calls.  <a href="#a82e461fa31eccbb7d7dbd846f7f6ffa2">More...</a><br /></td></tr>
<tr class="separator:a82e461fa31eccbb7d7dbd846f7f6ffa2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e047ff101185966c2842d916f520f8e"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#a1e047ff101185966c2842d916f520f8e">collectOneTag</a> (const GstTagList *tagList, const gchar *tag, gpointer pointerToMutableVectorOfTags)</td></tr>
<tr class="separator:a1e047ff101185966c2842d916f520f8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf0c287fb81c3dc5e1072dd3da872944"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#acf0c287fb81c3dc5e1072dd3da872944">TAG</a> (&quot;Normalizer&quot;)</td></tr>
<tr class="memdesc:acf0c287fb81c3dc5e1072dd3da872944"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#acf0c287fb81c3dc5e1072dd3da872944">More...</a><br /></td></tr>
<tr class="separator:acf0c287fb81c3dc5e1072dd3da872944"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e404b092e5d719c303f12607473ae3b"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#a0e404b092e5d719c303f12607473ae3b">TAG</a> (&quot;OffsetManager&quot;)</td></tr>
<tr class="memdesc:a0e404b092e5d719c303f12607473ae3b"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#a0e404b092e5d719c303f12607473ae3b">More...</a><br /></td></tr>
<tr class="separator:a0e404b092e5d719c303f12607473ae3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a9cd4f168cc221964ee9a91cbfe4f8af6"><td class="memItemLeft" align="right" valign="top">static const guint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#a9cd4f168cc221964ee9a91cbfe4f8af6">RETRY_INTERVALS_MILLISECONDS</a> [] = {0, 10, 10, 10, 20, 20, 50, 100}</td></tr>
<tr class="memdesc:a9cd4f168cc221964ee9a91cbfe4f8af6"><td class="mdescLeft">&#160;</td><td class="mdescRight">The interval to wait (in milliseconds) between successive attempts to read audio data when none is available.  <a href="#a9cd4f168cc221964ee9a91cbfe4f8af6">More...</a><br /></td></tr>
<tr class="separator:a9cd4f168cc221964ee9a91cbfe4f8af6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d696a8dbe0bf703457d65eb06d928a7"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#a6d696a8dbe0bf703457d65eb06d928a7">MEDIAPLAYER_CONFIGURATION_ROOT_KEY</a> = &quot;gstreamerMediaPlayer&quot;</td></tr>
<tr class="separator:a6d696a8dbe0bf703457d65eb06d928a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaed15a948c897c8fd6f95230321745bc"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#aaed15a948c897c8fd6f95230321745bc">MEDIAPLAYER_AUDIO_SINK_KEY</a> = &quot;audioSink&quot;</td></tr>
<tr class="memdesc:aaed15a948c897c8fd6f95230321745bc"><td class="mdescLeft">&#160;</td><td class="mdescRight">The key in our config file to set the audioSink.  <a href="#aaed15a948c897c8fd6f95230321745bc">More...</a><br /></td></tr>
<tr class="separator:aaed15a948c897c8fd6f95230321745bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd743d9c801eee92a78745c6ccf7de9f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#acd743d9c801eee92a78745c6ccf7de9f">MEDIAPLAYER_OUTPUT_CONVERSION_ROOT_KEY</a> = &quot;outputConversion&quot;</td></tr>
<tr class="memdesc:acd743d9c801eee92a78745c6ccf7de9f"><td class="mdescLeft">&#160;</td><td class="mdescRight">The key in our config file to find the output conversion type.  <a href="#acd743d9c801eee92a78745c6ccf7de9f">More...</a><br /></td></tr>
<tr class="separator:acd743d9c801eee92a78745c6ccf7de9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae10edb30e79fa01a155d6432e35e42de"><td class="memItemLeft" align="right" valign="top">static const std::unordered_map&lt; std::string, int &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#ae10edb30e79fa01a155d6432e35e42de">MEDIAPLAYER_ACCEPTED_KEYS</a></td></tr>
<tr class="separator:ae10edb30e79fa01a155d6432e35e42de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada511e04fa2853e7b678cad488e4ec7a"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">MediaPlayer::SourceId</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#ada511e04fa2853e7b678cad488e4ec7a">g_id</a> {0}</td></tr>
<tr class="memdesc:ada511e04fa2853e7b678cad488e4ec7a"><td class="mdescLeft">&#160;</td><td class="mdescRight">A counter used to increment the source id when a new source is set.  <a href="#ada511e04fa2853e7b678cad488e4ec7a">More...</a><br /></td></tr>
<tr class="separator:ada511e04fa2853e7b678cad488e4ec7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34be272f39ee3745b8344cd5e96eea7e"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">MediaPlayer::SourceId</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#a34be272f39ee3745b8344cd5e96eea7e">ERROR_SOURCE_ID</a> = <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a94e049f4cbbd174ef8e6c15387dd85ea">MediaPlayer::ERROR</a></td></tr>
<tr class="memdesc:a34be272f39ee3745b8344cd5e96eea7e"><td class="mdescLeft">&#160;</td><td class="mdescRight">A link to <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a94e049f4cbbd174ef8e6c15387dd85ea" title="An SourceId used to represent an error from calls to setSource(). ">MediaPlayerInterface::ERROR</a></code>.  <a href="#a34be272f39ee3745b8344cd5e96eea7e">More...</a><br /></td></tr>
<tr class="separator:a34be272f39ee3745b8344cd5e96eea7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a390a652ae19f98c1df2549654f3ae9ce"><td class="memItemLeft" align="right" valign="top">static const guint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#a390a652ae19f98c1df2549654f3ae9ce">UNQUEUED_CALLBACK</a> = guint(0)</td></tr>
<tr class="memdesc:a390a652ae19f98c1df2549654f3ae9ce"><td class="mdescLeft">&#160;</td><td class="mdescRight">A value to indicate an unqueued callback. g_idle_add() only returns ids &gt;= 0.  <a href="#a390a652ae19f98c1df2549654f3ae9ce">More...</a><br /></td></tr>
<tr class="separator:a390a652ae19f98c1df2549654f3ae9ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43858db6a49af11df4725562b1f49a52"><td class="memItemLeft" align="right" valign="top">static const int8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#a43858db6a49af11df4725562b1f49a52">GST_SET_VOLUME_MIN</a> = 0</td></tr>
<tr class="memdesc:a43858db6a49af11df4725562b1f49a52"><td class="mdescLeft">&#160;</td><td class="mdescRight">GStreamer Volume Element Minimum.  <a href="#a43858db6a49af11df4725562b1f49a52">More...</a><br /></td></tr>
<tr class="separator:a43858db6a49af11df4725562b1f49a52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c950875739ab43730e265208955027f"><td class="memItemLeft" align="right" valign="top">static const int8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#a7c950875739ab43730e265208955027f">GST_SET_VOLUME_MAX</a> = 1</td></tr>
<tr class="memdesc:a7c950875739ab43730e265208955027f"><td class="mdescLeft">&#160;</td><td class="mdescRight">GStreamer Volume Element Maximum.  <a href="#a7c950875739ab43730e265208955027f">More...</a><br /></td></tr>
<tr class="separator:a7c950875739ab43730e265208955027f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa31c6b27d4a55657547d2976a72021f"><td class="memItemLeft" align="right" valign="top">static const int8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#aaa31c6b27d4a55657547d2976a72021f">GST_ADJUST_VOLUME_MIN</a> = -1</td></tr>
<tr class="memdesc:aaa31c6b27d4a55657547d2976a72021f"><td class="mdescLeft">&#160;</td><td class="mdescRight">GStreamer Volume Adjust Minimum.  <a href="#aaa31c6b27d4a55657547d2976a72021f">More...</a><br /></td></tr>
<tr class="separator:aaa31c6b27d4a55657547d2976a72021f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58288d9e12d2be3e7e4942e74472270a"><td class="memItemLeft" align="right" valign="top">static const int8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#a58288d9e12d2be3e7e4942e74472270a">GST_ADJUST_VOLUME_MAX</a> = 1</td></tr>
<tr class="memdesc:a58288d9e12d2be3e7e4942e74472270a"><td class="mdescLeft">&#160;</td><td class="mdescRight">GStreamer Volume Adjust Maximum.  <a href="#a58288d9e12d2be3e7e4942e74472270a">More...</a><br /></td></tr>
<tr class="separator:a58288d9e12d2be3e7e4942e74472270a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeff25373adcb5ba9fa2ac10f123f6efc"><td class="memItemLeft" align="right" valign="top">static const gdouble&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#aeff25373adcb5ba9fa2ac10f123f6efc">VOLUME_ZERO</a> = 0.0000001</td></tr>
<tr class="memdesc:aeff25373adcb5ba9fa2ac10f123f6efc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents the zero volume to avoid the actual 0.0 value. Used as a fix for GStreamer crashing on 0 volume for PCM.  <a href="#aeff25373adcb5ba9fa2ac10f123f6efc">More...</a><br /></td></tr>
<tr class="separator:aeff25373adcb5ba9fa2ac10f123f6efc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36a26534ccb17936315fceee144fa147"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#a36a26534ccb17936315fceee144fa147">MIN_EQUALIZER_LEVEL</a> = -24</td></tr>
<tr class="memdesc:a36a26534ccb17936315fceee144fa147"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mimimum level for equalizer bands.  <a href="#a36a26534ccb17936315fceee144fa147">More...</a><br /></td></tr>
<tr class="separator:a36a26534ccb17936315fceee144fa147"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1d44b03c57b037e88035ca7adc30fa1"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#aa1d44b03c57b037e88035ca7adc30fa1">MAX_EQUALIZER_LEVEL</a> = 12</td></tr>
<tr class="memdesc:aa1d44b03c57b037e88035ca7adc30fa1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Maximum level for equalizer bands.  <a href="#aa1d44b03c57b037e88035ca7adc30fa1">More...</a><br /></td></tr>
<tr class="separator:aa1d44b03c57b037e88035ca7adc30fa1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10df2ab6763316caaf0d2841e504cb8e"><td class="memItemLeft" align="right" valign="top">static char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#a10df2ab6763316caaf0d2841e504cb8e">GSTREAMER_BASS_BAND_NAME</a> [] = &quot;band0&quot;</td></tr>
<tr class="memdesc:a10df2ab6763316caaf0d2841e504cb8e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The GStreamer property name for the frequency band 100 Hz.  <a href="#a10df2ab6763316caaf0d2841e504cb8e">More...</a><br /></td></tr>
<tr class="separator:a10df2ab6763316caaf0d2841e504cb8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3901ab83bf7989b3565681cc962f367f"><td class="memItemLeft" align="right" valign="top">static char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#a3901ab83bf7989b3565681cc962f367f">GSTREAMER_MIDRANGE_BAND_NAME</a> [] = &quot;band1&quot;</td></tr>
<tr class="memdesc:a3901ab83bf7989b3565681cc962f367f"><td class="mdescLeft">&#160;</td><td class="mdescRight">The GStreamer property name for the frequency band 1.1 kHz.  <a href="#a3901ab83bf7989b3565681cc962f367f">More...</a><br /></td></tr>
<tr class="separator:a3901ab83bf7989b3565681cc962f367f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad8cc461ed23ef8905a86dc583620653"><td class="memItemLeft" align="right" valign="top">static char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#aad8cc461ed23ef8905a86dc583620653">GSTREAMER_TREBLE_BAND_NAME</a> [] = &quot;band2&quot;</td></tr>
<tr class="memdesc:aad8cc461ed23ef8905a86dc583620653"><td class="mdescLeft">&#160;</td><td class="mdescRight">The GStreamer property name for the frequency band 11 kHz.  <a href="#aad8cc461ed23ef8905a86dc583620653">More...</a><br /></td></tr>
<tr class="separator:aad8cc461ed23ef8905a86dc583620653"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Typedef Documentation</h2>
<a id="a056618af1246218cc1c4524bc3aac256"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a056618af1246218cc1c4524bc3aac256">&#9670;&nbsp;</a></span>VectorOfTags</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::vector&lt;<a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_observer_interface_1_1_tag_key_value_type.html">avsCommon::utils::mediaPlayer::MediaPlayerObserverInterface::TagKeyValueType</a>&gt; <a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html#a056618af1246218cc1c4524bc3aac256">alexaClientSDK::mediaPlayer::VectorOfTags</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="ac9f95bfee8247af4a2ac4b327b07b6c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac9f95bfee8247af4a2ac4b327b07b6c3">&#9670;&nbsp;</a></span>CHUNK_SIZE() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const unsigned int alexaClientSDK::mediaPlayer::CHUNK_SIZE </td>
          <td>(</td>
          <td class="paramtype">4096&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The number of bytes read from the attachment with each read in the read loop. </p>

</div>
</div>
<a id="ac9f95bfee8247af4a2ac4b327b07b6c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac9f95bfee8247af4a2ac4b327b07b6c3">&#9670;&nbsp;</a></span>CHUNK_SIZE() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const unsigned int alexaClientSDK::mediaPlayer::CHUNK_SIZE </td>
          <td>(</td>
          <td class="paramtype">4096&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The number of bytes read from the attachment with each read in the read loop. </p>

</div>
</div>
<a id="a1e047ff101185966c2842d916f520f8e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e047ff101185966c2842d916f520f8e">&#9670;&nbsp;</a></span>collectOneTag()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void alexaClientSDK::mediaPlayer::collectOneTag </td>
          <td>(</td>
          <td class="paramtype">const GstTagList *&#160;</td>
          <td class="paramname"><em>tagList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const gchar *&#160;</td>
          <td class="paramname"><em>tag</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">gpointer&#160;</td>
          <td class="paramname"><em>pointerToMutableVectorOfTags</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Processes tags found in the tagList. Called through gst_tag_list_foreach.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">tagList</td><td>List of tags to iterate over. </td></tr>
    <tr><td class="paramname">tag</td><td>A specific tag from the tag list. </td></tr>
    <tr><td class="paramname">pointerToMutableVectorOfTags</td><td>Pointer to VectorOfTags. Use push_back to preserve order. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a0240883403612802a5896b2d5cee55d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0240883403612802a5896b2d5cee55d7">&#9670;&nbsp;</a></span>gerrorToErrorType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player.html#ab6ff57ee3fc3650d3b710fa12d32e25d">avsCommon::utils::mediaPlayer::ErrorType</a> alexaClientSDK::mediaPlayer::gerrorToErrorType </td>
          <td>(</td>
          <td class="paramtype">const GError *&#160;</td>
          <td class="paramname"><em>error</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>remoteResource</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Convert a GStreamer <code>GError</code> to an <code>ErrorType</code>.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">error</td><td>The <code>GError</code> to convert. </td></tr>
    <tr><td class="paramname">remoteResource</td><td>Indicates whether it should be for a resource that is remote. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The converted <code>ErrorType</code>. </dd></dl>

</div>
</div>
<a id="affa455fe48630aef1f078bb469635f5f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#affa455fe48630aef1f078bb469635f5f">&#9670;&nbsp;</a></span>getCapsString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static std::string alexaClientSDK::mediaPlayer::getCapsString </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html">AudioFormat</a> &amp;&#160;</td>
          <td class="paramname"><em>audioFormat</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Method that returns a string to be used in CAPS negotiation (generating right PADS between gstreamer elements based on audio data.) For raw PCM data without header audioFormat information needs to be passed explicitly for a mediaplayer to interpret the audio bytes. </p>

</div>
</div>
<a id="a16a495ffddb7992d531be1d42ed6128d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a16a495ffddb7992d531be1d42ed6128d">&#9670;&nbsp;</a></span>gstCoreErrorToErrorType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player.html#ab6ff57ee3fc3650d3b710fa12d32e25d">avsCommon::utils::mediaPlayer::ErrorType</a> alexaClientSDK::mediaPlayer::gstCoreErrorToErrorType </td>
          <td>(</td>
          <td class="paramtype">const GstCoreError &amp;&#160;</td>
          <td class="paramname"><em>error</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="add833d1472148df32bb9a32cbef0a3a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add833d1472148df32bb9a32cbef0a3a8">&#9670;&nbsp;</a></span>gstLibraryErrorToErrorType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player.html#ab6ff57ee3fc3650d3b710fa12d32e25d">avsCommon::utils::mediaPlayer::ErrorType</a> alexaClientSDK::mediaPlayer::gstLibraryErrorToErrorType </td>
          <td>(</td>
          <td class="paramtype">const GstLibraryError &amp;&#160;</td>
          <td class="paramname"><em>error</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9685fb5984e0e579cfcbf94ba3728d5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9685fb5984e0e579cfcbf94ba3728d5e">&#9670;&nbsp;</a></span>gstResourceErrorToErrorType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player.html#ab6ff57ee3fc3650d3b710fa12d32e25d">avsCommon::utils::mediaPlayer::ErrorType</a> alexaClientSDK::mediaPlayer::gstResourceErrorToErrorType </td>
          <td>(</td>
          <td class="paramtype">const GstResourceError &amp;&#160;</td>
          <td class="paramname"><em>error</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>remoteResource</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a22dbc8547fc817edb42c1ec627fb864e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a22dbc8547fc817edb42c1ec627fb864e">&#9670;&nbsp;</a></span>gstStreamErrorToErrorType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player.html#ab6ff57ee3fc3650d3b710fa12d32e25d">avsCommon::utils::mediaPlayer::ErrorType</a> alexaClientSDK::mediaPlayer::gstStreamErrorToErrorType </td>
          <td>(</td>
          <td class="paramtype">const GstStreamError &amp;&#160;</td>
          <td class="paramname"><em>error</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acf0c287fb81c3dc5e1072dd3da872944"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf0c287fb81c3dc5e1072dd3da872944">&#9670;&nbsp;</a></span>TAG() <span class="overload">[1/6]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::mediaPlayer::TAG </td>
          <td>(</td>
          <td class="paramtype">&quot;Normalizer&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
<a id="a0e404b092e5d719c303f12607473ae3b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e404b092e5d719c303f12607473ae3b">&#9670;&nbsp;</a></span>TAG() <span class="overload">[2/6]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::mediaPlayer::TAG </td>
          <td>(</td>
          <td class="paramtype">&quot;OffsetManager&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
<a id="a6398dcdd5154e8993812a4ac8c38d526"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6398dcdd5154e8993812a4ac8c38d526">&#9670;&nbsp;</a></span>TAG() <span class="overload">[3/6]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::mediaPlayer::TAG </td>
          <td>(</td>
          <td class="paramtype">&quot;IStreamSource&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
<a id="a26c02f55b7492f439165c080d82beebf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a26c02f55b7492f439165c080d82beebf">&#9670;&nbsp;</a></span>TAG() <span class="overload">[4/6]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::mediaPlayer::TAG </td>
          <td>(</td>
          <td class="paramtype">&quot;BaseStreamSource&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
<a id="a8413bfa1d0041180dd9bb4c6286404ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8413bfa1d0041180dd9bb4c6286404ed">&#9670;&nbsp;</a></span>TAG() <span class="overload">[5/6]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::mediaPlayer::TAG </td>
          <td>(</td>
          <td class="paramtype">&quot;AttachmentReaderSource&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
<a id="adb34f60ae73a01e5229c0ac4d4dd57b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb34f60ae73a01e5229c0ac4d4dd57b9">&#9670;&nbsp;</a></span>TAG() <span class="overload">[6/6]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::mediaPlayer::TAG </td>
          <td>(</td>
          <td class="paramtype">&quot;MediaPlayer&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
<a id="a82e461fa31eccbb7d7dbd846f7f6ffa2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82e461fa31eccbb7d7dbd846f7f6ffa2">&#9670;&nbsp;</a></span>TIMEOUT_ZERO_NANOSECONDS()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const unsigned int alexaClientSDK::mediaPlayer::TIMEOUT_ZERO_NANOSECONDS </td>
          <td>(</td>
          <td class="paramtype">0&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Timeout value for calls to <code>gst_element_get_state()</code> calls. </p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a34be272f39ee3745b8344cd5e96eea7e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a34be272f39ee3745b8344cd5e96eea7e">&#9670;&nbsp;</a></span>ERROR_SOURCE_ID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">MediaPlayer::SourceId</a> alexaClientSDK::mediaPlayer::ERROR_SOURCE_ID = <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a94e049f4cbbd174ef8e6c15387dd85ea">MediaPlayer::ERROR</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A link to <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a94e049f4cbbd174ef8e6c15387dd85ea" title="An SourceId used to represent an error from calls to setSource(). ">MediaPlayerInterface::ERROR</a></code>. </p>

</div>
</div>
<a id="ada511e04fa2853e7b678cad488e4ec7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada511e04fa2853e7b678cad488e4ec7a">&#9670;&nbsp;</a></span>g_id</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">MediaPlayer::SourceId</a> alexaClientSDK::mediaPlayer::g_id {0}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A counter used to increment the source id when a new source is set. </p>

</div>
</div>
<a id="a58288d9e12d2be3e7e4942e74472270a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58288d9e12d2be3e7e4942e74472270a">&#9670;&nbsp;</a></span>GST_ADJUST_VOLUME_MAX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int8_t alexaClientSDK::mediaPlayer::GST_ADJUST_VOLUME_MAX = 1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>GStreamer Volume Adjust Maximum. </p>

</div>
</div>
<a id="aaa31c6b27d4a55657547d2976a72021f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa31c6b27d4a55657547d2976a72021f">&#9670;&nbsp;</a></span>GST_ADJUST_VOLUME_MIN</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int8_t alexaClientSDK::mediaPlayer::GST_ADJUST_VOLUME_MIN = -1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>GStreamer Volume Adjust Minimum. </p>

</div>
</div>
<a id="a7c950875739ab43730e265208955027f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c950875739ab43730e265208955027f">&#9670;&nbsp;</a></span>GST_SET_VOLUME_MAX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int8_t alexaClientSDK::mediaPlayer::GST_SET_VOLUME_MAX = 1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>GStreamer Volume Element Maximum. </p>

</div>
</div>
<a id="a43858db6a49af11df4725562b1f49a52"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43858db6a49af11df4725562b1f49a52">&#9670;&nbsp;</a></span>GST_SET_VOLUME_MIN</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int8_t alexaClientSDK::mediaPlayer::GST_SET_VOLUME_MIN = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>GStreamer Volume Element Minimum. </p>

</div>
</div>
<a id="a10df2ab6763316caaf0d2841e504cb8e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a10df2ab6763316caaf0d2841e504cb8e">&#9670;&nbsp;</a></span>GSTREAMER_BASS_BAND_NAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">char alexaClientSDK::mediaPlayer::GSTREAMER_BASS_BAND_NAME[] = &quot;band0&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The GStreamer property name for the frequency band 100 Hz. </p>

</div>
</div>
<a id="a3901ab83bf7989b3565681cc962f367f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3901ab83bf7989b3565681cc962f367f">&#9670;&nbsp;</a></span>GSTREAMER_MIDRANGE_BAND_NAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">char alexaClientSDK::mediaPlayer::GSTREAMER_MIDRANGE_BAND_NAME[] = &quot;band1&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The GStreamer property name for the frequency band 1.1 kHz. </p>

</div>
</div>
<a id="aad8cc461ed23ef8905a86dc583620653"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad8cc461ed23ef8905a86dc583620653">&#9670;&nbsp;</a></span>GSTREAMER_TREBLE_BAND_NAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">char alexaClientSDK::mediaPlayer::GSTREAMER_TREBLE_BAND_NAME[] = &quot;band2&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The GStreamer property name for the frequency band 11 kHz. </p>

</div>
</div>
<a id="aa1d44b03c57b037e88035ca7adc30fa1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa1d44b03c57b037e88035ca7adc30fa1">&#9670;&nbsp;</a></span>MAX_EQUALIZER_LEVEL</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int alexaClientSDK::mediaPlayer::MAX_EQUALIZER_LEVEL = 12</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Maximum level for equalizer bands. </p>

</div>
</div>
<a id="ae10edb30e79fa01a155d6432e35e42de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae10edb30e79fa01a155d6432e35e42de">&#9670;&nbsp;</a></span>MEDIAPLAYER_ACCEPTED_KEYS</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::unordered_map&lt;std::string, int&gt; alexaClientSDK::mediaPlayer::MEDIAPLAYER_ACCEPTED_KEYS</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= {{<span class="stringliteral">&quot;rate&quot;</span>, G_TYPE_INT},</div><div class="line">                                                                               {<span class="stringliteral">&quot;format&quot;</span>, G_TYPE_STRING},</div><div class="line">                                                                               {<span class="stringliteral">&quot;channels&quot;</span>, G_TYPE_INT}}</div></div><!-- fragment --><p class="">The acceptable conversion keys to find in the config file Key strings are mapped to gstreamer capabilities documented here: <a href="https://gstreamer.freedesktop.org/documentation/design/mediatype-audio-raw.html">https://gstreamer.freedesktop.org/documentation/design/mediatype-audio-raw.html</a> </p>

</div>
</div>
<a id="aaed15a948c897c8fd6f95230321745bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaed15a948c897c8fd6f95230321745bc">&#9670;&nbsp;</a></span>MEDIAPLAYER_AUDIO_SINK_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::mediaPlayer::MEDIAPLAYER_AUDIO_SINK_KEY = &quot;audioSink&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The key in our config file to set the audioSink. </p>

</div>
</div>
<a id="a6d696a8dbe0bf703457d65eb06d928a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d696a8dbe0bf703457d65eb06d928a7">&#9670;&nbsp;</a></span>MEDIAPLAYER_CONFIGURATION_ROOT_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::mediaPlayer::MEDIAPLAYER_CONFIGURATION_ROOT_KEY = &quot;gstreamerMediaPlayer&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acd743d9c801eee92a78745c6ccf7de9f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd743d9c801eee92a78745c6ccf7de9f">&#9670;&nbsp;</a></span>MEDIAPLAYER_OUTPUT_CONVERSION_ROOT_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::mediaPlayer::MEDIAPLAYER_OUTPUT_CONVERSION_ROOT_KEY = &quot;outputConversion&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The key in our config file to find the output conversion type. </p>

</div>
</div>
<a id="a36a26534ccb17936315fceee144fa147"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36a26534ccb17936315fceee144fa147">&#9670;&nbsp;</a></span>MIN_EQUALIZER_LEVEL</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int alexaClientSDK::mediaPlayer::MIN_EQUALIZER_LEVEL = -24</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Mimimum level for equalizer bands. </p>

</div>
</div>
<a id="a9cd4f168cc221964ee9a91cbfe4f8af6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9cd4f168cc221964ee9a91cbfe4f8af6">&#9670;&nbsp;</a></span>RETRY_INTERVALS_MILLISECONDS</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const guint alexaClientSDK::mediaPlayer::RETRY_INTERVALS_MILLISECONDS[] = {0, 10, 10, 10, 20, 20, 50, 100}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The interval to wait (in milliseconds) between successive attempts to read audio data when none is available. </p>

</div>
</div>
<a id="a390a652ae19f98c1df2549654f3ae9ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a390a652ae19f98c1df2549654f3ae9ce">&#9670;&nbsp;</a></span>UNQUEUED_CALLBACK</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const guint alexaClientSDK::mediaPlayer::UNQUEUED_CALLBACK = guint(0)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A value to indicate an unqueued callback. g_idle_add() only returns ids &gt;= 0. </p>

</div>
</div>
<a id="aeff25373adcb5ba9fa2ac10f123f6efc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeff25373adcb5ba9fa2ac10f123f6efc">&#9670;&nbsp;</a></span>VOLUME_ZERO</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const gdouble alexaClientSDK::mediaPlayer::VOLUME_ZERO = 0.0000001</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Represents the zero volume to avoid the actual 0.0 value. Used as a fix for GStreamer crashing on 0 volume for PCM. </p>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
